--- cfgloop_part_45.s	2014-12-27 22:43:02.000000000 +0900
+++ cfgloop_part_48.s	2014-12-27 22:42:12.000000000 +0900
@@ -1,571 +1,99 @@
 	.file	"cfgloop1a.c"
 	.text
 	.little
-	.section	.text._ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE,"axG",@progbits,_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE,comdat
+	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb,comdat
 	.align 1
-	.weak	_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE
-	.type	_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE, @function
-_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE:
-.LFB961:
+	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
+	.type	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb, @function
+_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb:
+.LFB957:
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
-	mov	r4,r8
 	.cfi_offset 8, -4
-	mov.l	r14,@-r15
+	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
-	sts.l	pr,@-r15
+	.cfi_offset 9, -8
+	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
+	.cfi_offset 10, -12
+	sts.l	pr,@-r15
+	.cfi_def_cfa_offset 16
+	.cfi_offset 17, -16
+	tst	r5,r5
+	mov	r4,r8
+	bt.s	.L8
+	extu.b	r6,r6
 	mov.l	@r4,r4
 	tst	r4,r4
-	.cfi_offset 17, -12
-	.cfi_offset 14, -8
-	.cfi_def_cfa_register 14
-	bt.s	.L1
-	mov	r15,r14
-	mov.l	.L3,r1
-	jsr	@r1
-	nop
-	mov	#0,r1
-	mov.l	r1,@r8
-.L1:
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	rts	
-	mov.l	@r15+,r8
-.L4:
-	.align 2
-.L3:
-	.long	free
-	.cfi_endproc
-.LFE961:
-	.size	_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE, .-_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE
-	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv,comdat
-	.align 1
-	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv
-	.type	_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv, @function
-_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv:
-.LFB932:
-	.cfi_startproc
-	mov.l	@r4,r1
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 4
-	tst	r1,r1
-	.cfi_offset 14, -4
-	.cfi_def_cfa_register 14
-	bt.s	.L5
-	mov	r15,r14
-	mov.l	.L7,r1
-	mov	r14,r15
-	jmp	@r1
-	mov.l	@r15+,r14
-.L5:
-	mov	r14,r15
-	rts	
-	mov.l	@r15+,r14
-.L8:
-	.align 2
-.L7:
-	.long	_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE
-	.cfi_endproc
-.LFE932:
-	.size	_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv, .-_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv
-	.section	.text._Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj,"axG",@progbits,_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj,comdat
-	.align 1
-	.weak	_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj
-	.type	_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj, @function
-_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj:
-.LFB968:
-	.cfi_startproc
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 4
-	tst	r4,r4
-	.cfi_offset 14, -4
-	.cfi_def_cfa_register 14
-	bt.s	.L10
-	mov	r15,r14
+	bt	.L3
 	mov.l	@r4,r1
 	mov.l	@(4,r4),r2
 	sub	r2,r1
-	bra	.L12
 	cmp/hs	r5,r1
-.L10:
-	tst	r5,r5
-.L12:
-	movt	r0
-	mov	r14,r15
-	rts	
-	mov.l	@r15+,r14
-	.cfi_endproc
-.LFE968:
-	.size	_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj, .-_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj
-	.section	.text._ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb,"axG",@progbits,_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb,comdat
-	.align 1
-	.weak	_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb
-	.type	_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb, @function
-_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb:
-.LFB969:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	extu.b	r6,r6
-	mov.l	r9,@-r15
-	.cfi_def_cfa_offset 8
-	mov	r4,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r10,@-r15
-	.cfi_def_cfa_offset 12
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 16
-	mov.l	.L20,r0
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 20
-	mov	r15,r14
-	.cfi_offset 17, -20
-	.cfi_offset 14, -16
-	.cfi_offset 10, -12
-	.cfi_def_cfa_register 14
+	bf	.L3
+.L8:
+	bra	.L14
+	mov	#0,r0
+.L3:
+	mov.l	.L17,r0
 	jsr	@r0
-	mov.l	@r4,r4
+	nop
 	tst	r0,r0
-	bf.s	.L15
 	mov	r0,r9
-	mov.l	.L21,r1
-	jsr	@r1
+	bf.s	.L15
 	mov.l	@r8,r4
-	bra	.L13
+	tst	r4,r4
+	bt	.L9
+	mov.l	.L18,r1
+	jsr	@r1
+	nop
+	bra	.L9
 	mov.l	r9,@r8
 .L15:
-	mov	r0,r4
-	mov.l	.L22,r0
-	add	#2,r4
-	jsr	@r0
-	shll2	r4
-	mov	r0,r9
-	add	#-8,r9
-	mov.l	@r8,r4
-	shlr2	r9
 	mov	r9,r5
 	shll2	r5
 	tst	r4,r4
-	bt.s	.L19
+	bt.s	.L10
 	add	#8,r5
-	bra	.L17
+	bra	.L4
 	mov.l	@(4,r4),r10
-.L19:
+.L10:
 	mov	#0,r10
-.L17:
-	mov.l	.L23,r0
+.L4:
+	mov.l	.L19,r0
 	jsr	@r0
 	nop
 	mov.l	r0,@r8
 	mov.l	r9,@r0
 	mov.l	r10,@(4,r0)
-.L13:
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r10
-	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L24:
-	.align 2
-.L20:
-	.long	_ZN10vec_prefix20calculate_allocationEPS_jb
-.L21:
-	.long	_Z8ggc_freePv
-.L22:
-	.long	_Z20ggc_round_alloc_sizej
-.L23:
-	.long	_Z16ggc_realloc_statPvj
-	.cfi_endproc
-.LFE969:
-	.size	_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb, .-_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb
-	.section	.text._Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb,"axG",@progbits,_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb,comdat
-	.align 1
-	.weak	_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb
-	.type	_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb, @function
-_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb:
-.LFB955:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	tst	r5,r5
-	mov.l	r9,@-r15
-	.cfi_def_cfa_offset 8
-	mov	r5,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r10,@-r15
-	.cfi_def_cfa_offset 12
-	mov	r4,r9
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 16
-	extu.b	r6,r10
-	.cfi_offset 14, -16
-	.cfi_offset 10, -12
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 20
-	.cfi_def_cfa_register 14
-	bt.s	.L28
-	mov	r15,r14
-	mov.l	.L29,r0
-	.cfi_offset 17, -20
-	jsr	@r0
-	mov.l	@r4,r4
-	tst	r0,r0
-	bf.s	.L28
-	mov	r9,r4
-	mov.l	.L30,r1
-	mov	r8,r5
-	jsr	@r1
-	mov	r10,r6
-	bra	.L26
+.L9:
 	mov	#1,r0
-.L28:
-	mov	#0,r0
-.L26:
-	mov	r14,r15
+.L14:
 	lds.l	@r15+,pr
-	mov.l	@r15+,r14
+	.cfi_restore 17
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
-	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L31:
-	.align 2
-.L29:
-	.long	_Z14vec_safe_spaceIP4loop5va_gcEbPK3vecIT_T0_8vl_embedEj
-.L30:
-	.long	_ZN5va_gc7reserveIP4loopS_EEvRP3vecIT_T0_8vl_embedEjb
-	.cfi_endproc
-.LFE955:
-	.size	_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb, .-_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb
-	.section	.text._Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_,"axG",@progbits,_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_,comdat
-	.align 1
-	.weak	_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_
-	.type	_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_, @function
-_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_:
-.LFB928:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	mov	#0,r6
-	mov.l	r9,@-r15
+	.cfi_restore 10
 	.cfi_def_cfa_offset 8
-	mov	r4,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 12
-	mov	r5,r9
-	mov.l	.L33,r0
-	mov	#1,r5
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 16
-	.cfi_offset 17, -16
-	.cfi_offset 14, -12
-	.cfi_def_cfa_register 14
-	jsr	@r0
-	mov	r15,r14
-	mov.l	@r8,r1
-	mov.l	@r9,r2
-	mov.l	@(4,r1),r0
-	mov	r0,r3
-	add	#2,r0
-	shll2	r0
-	add	r1,r0
-	add	#1,r3
-	mov.l	r3,@(4,r1)
-	mov.l	r2,@r0
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
 	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L34:
-	.align 2
-.L33:
-	.long	_Z16vec_safe_reserveIP4loop5va_gcEbRP3vecIT_T0_8vl_embedEjb
-	.cfi_endproc
-.LFE928:
-	.size	_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_, .-_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_
-	.section	.text._ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi,"axG",@progbits,_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi,comdat
-	.align 1
-	.weak	_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi
-	.type	_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi, @function
-_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi:
-.LFB971:
-	.cfi_startproc
-	mov.l	@r4,r2
-	mov.l	r14,@-r15
+	.cfi_restore 9
 	.cfi_def_cfa_offset 4
-	tst	r2,r2
-	.cfi_offset 14, -4
-	.cfi_def_cfa_register 14
-	bt.s	.L36
-	mov	r15,r14
-	mov.l	@r2,r1
-	mov.l	@(4,r2),r2
-	sub	r2,r1
-	bra	.L38
-	cmp/hs	r5,r1
-.L36:
-	tst	r5,r5
-.L38:
-	movt	r0
-	mov	r14,r15
 	rts	
-	mov.l	@r15+,r14
-	.cfi_endproc
-.LFE971:
-	.size	_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi, .-_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi
-	.section	.text._ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb,"axG",@progbits,_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb,comdat
-	.align 1
-	.weak	_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb
-	.type	_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb, @function
-_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb:
-.LFB972:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	extu.b	r6,r6
-	mov.l	r9,@-r15
-	.cfi_def_cfa_offset 8
-	mov	r4,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r10,@-r15
-	.cfi_def_cfa_offset 12
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 16
-	mov.l	.L45,r0
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 20
-	mov	r15,r14
-	.cfi_offset 17, -20
-	.cfi_offset 14, -16
-	.cfi_offset 10, -12
-	.cfi_def_cfa_register 14
-	jsr	@r0
-	mov.l	@r4,r4
-	tst	r0,r0
-	bf.s	.L41
-	mov	r0,r9
-	mov.l	.L46,r1
-	mov	r8,r4
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r10
-	mov.l	@r15+,r9
-	jmp	@r1
 	mov.l	@r15+,r8
-.L41:
-	mov.l	@r8,r4
-	mov	r0,r5
-	add	#2,r5
-	tst	r4,r4
-	bt.s	.L44
-	shll2	r5
-	bra	.L42
-	mov.l	@(4,r4),r10
-.L44:
-	mov	#0,r10
-.L42:
-	mov.l	.L47,r0
-	jsr	@r0
-	nop
-	mov.l	r0,@r8
-	mov.l	r9,@r0
-	mov.l	r10,@(4,r0)
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r10
-	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L48:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L20:
 	.align 2
-.L45:
+.L17:
 	.long	_ZN10vec_prefix20calculate_allocationEPS_jb
-.L46:
-	.long	_ZN7va_heap7releaseIP4loopEEvRP3vecIT_S_8vl_embedE
-.L47:
+.L18:
+	.long	free
+.L19:
 	.long	xrealloc
 	.cfi_endproc
-.LFE972:
-	.size	_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb, .-_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb
-	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb,comdat
-	.align 1
-	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
-	.type	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb, @function
-_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb:
-.LFB957:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	tst	r5,r5
-	mov.l	r9,@-r15
-	.cfi_def_cfa_offset 8
-	mov	r5,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r10,@-r15
-	.cfi_def_cfa_offset 12
-	mov	r4,r9
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 16
-	extu.b	r6,r10
-	.cfi_offset 14, -16
-	.cfi_offset 10, -12
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 20
-	.cfi_def_cfa_register 14
-	bt.s	.L52
-	mov	r15,r14
-	mov.l	.L53,r0
-	.cfi_offset 17, -20
-	jsr	@r0
-	nop
-	tst	r0,r0
-	bf.s	.L52
-	mov	r9,r4
-	mov.l	.L54,r1
-	mov	r8,r5
-	jsr	@r1
-	mov	r10,r6
-	bra	.L50
-	mov	#1,r0
-.L52:
-	mov	#0,r0
-.L50:
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r10
-	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L55:
-	.align 2
-.L53:
-	.long	_ZNK3vecIP4loop7va_heap6vl_ptrE5spaceEi
-.L54:
-	.long	_ZN7va_heap7reserveIP4loopEEvRP3vecIT_S_8vl_embedEjb
-	.cfi_endproc
 .LFE957:
 	.size	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb, .-_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
-	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj,comdat
-	.align 1
-	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj
-	.type	_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj, @function
-_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj:
-.LFB954:
-	.cfi_startproc
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 4
-	mov	#1,r6
-	mov.l	.L57,r0
-	mov	r15,r14
-	.cfi_offset 14, -4
-	.cfi_def_cfa_register 14
-	mov	r14,r15
-	jmp	@r0
-	mov.l	@r15+,r14
-.L58:
-	.align 2
-.L57:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
-	.cfi_endproc
-.LFE954:
-	.size	_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj, .-_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj
-	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE6createEj,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE6createEj,comdat
-	.align 1
-	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE6createEj
-	.type	_ZN3vecIP4loop7va_heap6vl_ptrE6createEj, @function
-_ZN3vecIP4loop7va_heap6vl_ptrE6createEj:
-.LFB926:
-	.cfi_startproc
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 4
-	mov	#0,r1
-	mov.l	r1,@r4
-	tst	r5,r5
-	.cfi_offset 14, -4
-	.cfi_def_cfa_register 14
-	bt.s	.L59
-	mov	r15,r14
-	mov.l	.L61,r0
-	mov	r14,r15
-	jmp	@r0
-	mov.l	@r15+,r14
-.L59:
-	mov	r14,r15
-	rts	
-	mov.l	@r15+,r14
-.L62:
-	.align 2
-.L61:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE13reserve_exactEj
-	.cfi_endproc
-.LFE926:
-	.size	_ZN3vecIP4loop7va_heap6vl_ptrE6createEj, .-_ZN3vecIP4loop7va_heap6vl_ptrE6createEj
-	.section	.text._ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_,"axG",@progbits,_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_,comdat
-	.align 1
-	.weak	_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_
-	.type	_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_, @function
-_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_:
-.LFB929:
-	.cfi_startproc
-	mov.l	r8,@-r15
-	.cfi_def_cfa_offset 4
-	mov	#0,r6
-	mov.l	r9,@-r15
-	.cfi_def_cfa_offset 8
-	mov	r4,r8
-	.cfi_offset 9, -8
-	.cfi_offset 8, -4
-	mov.l	r14,@-r15
-	.cfi_def_cfa_offset 12
-	mov	r5,r9
-	mov.l	.L64,r0
-	mov	#1,r5
-	sts.l	pr,@-r15
-	.cfi_def_cfa_offset 16
-	.cfi_offset 17, -16
-	.cfi_offset 14, -12
-	.cfi_def_cfa_register 14
-	jsr	@r0
-	mov	r15,r14
-	mov.l	@r8,r1
-	mov.l	@r9,r2
-	mov.l	@(4,r1),r0
-	mov	r0,r3
-	add	#2,r0
-	shll2	r0
-	add	r1,r0
-	add	#1,r3
-	mov.l	r3,@(4,r1)
-	mov.l	r2,@r0
-	mov	r14,r15
-	lds.l	@r15+,pr
-	mov.l	@r15+,r14
-	mov.l	@r15+,r9
-	rts	
-	mov.l	@r15+,r8
-.L65:
-	.align 2
-.L64:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
-	.cfi_endproc
-.LFE929:
-	.size	_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_, .-_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_
 	.section	.rodata.str1.4,"aMS",@progbits,1
 	.align 2
 .LC0:
@@ -582,306 +110,376 @@
 	.cfi_startproc
 	mov.l	r8,@-r15
 	.cfi_def_cfa_offset 4
-	tst	r4,r4
+	.cfi_offset 8, -4
 	mov.l	r9,@-r15
 	.cfi_def_cfa_offset 8
-	mov	r4,r8
 	.cfi_offset 9, -8
-	.cfi_offset 8, -4
 	mov.l	r10,@-r15
 	.cfi_def_cfa_offset 12
-	mov	#1,r4
+	.cfi_offset 10, -12
 	mov.l	r11,@-r15
 	.cfi_def_cfa_offset 16
-	movt	r11
 	.cfi_offset 11, -16
-	.cfi_offset 10, -12
 	mov.l	r12,@-r15
 	.cfi_def_cfa_offset 20
+	.cfi_offset 12, -20
 	mov.l	r13,@-r15
 	.cfi_def_cfa_offset 24
+	.cfi_offset 13, -24
 	mov.l	r14,@-r15
 	.cfi_def_cfa_offset 28
-	mov.l	.L85,r1
+	.cfi_offset 14, -28
 	sts.l	pr,@-r15
 	.cfi_def_cfa_offset 32
-	add	#-12,r15
-	.cfi_def_cfa_offset 44
 	.cfi_offset 17, -32
-	.cfi_offset 14, -28
-	.cfi_offset 13, -24
-	.cfi_offset 12, -20
-	.cfi_def_cfa_register 14
+	add	#-16,r15
+	.cfi_def_cfa_offset 48
+	mov.l	.L75,r1
+	tst	r4,r4
+	movt	r12
+	mov	r4,r8
 	jsr	@r1
-	mov	r15,r14
-	tst	r11,r11
-	bt	.L67
-	mov.l	.L86,r0
+	mov	#1,r4
+	bf	.L22
+	mov.l	.L76,r0
 	jsr	@r0
 	mov	#16,r4
-	mov.l	.L87,r1
+	mov.l	.L77,r1
 	mov	r0,r8
 	mov	r0,r4
 	jsr	@r1
 	mov	#1,r5
-.L67:
-	mov.l	@(8,r8),r1
-	tst	r1,r1
-	bt	.L68
-	mov.l	.L88,r1
-	mov.l	.L89,r4
-	mov.l	.L90,r6
+.L22:
+	mov.l	@(8,r8),r9
+	tst	r9,r9
+	bt	.L23
+	mov.l	.L78,r1
+	mov.l	.L79,r4
+	mov.l	.L80,r6
 	jsr	@r1
 	mov	#69,r5
-.L68:
-	mov.l	.L104,r9
-	mov.l	@r9,r1
+.L23:
+	mov.l	.L81,r14
+	mov.l	@r14,r1
 	mov.l	@(4,r1),r1
 	mov.l	@(12,r1),r4
-	mov	#2,r1
-	cmp/eq	r1,r4
-	bf	.L112
-	bra	.L113
+	mov	r4,r0
+	cmp/eq	#2,r0
+	bf	.L103
+	bra	.L104
 	mov	r8,r0
-.L112:
+.L103:
 	mov.l	@(12,r8),r1
-	mov	r14,r10
-	mov.l	.L92,r0
-	mov	#0,r12
+	mov.l	.L82,r0
 	mov.l	r4,@(28,r1)
 	jsr	@r0
 	shll2	r4
 	mov	r0,r5
 	mov	r0,r13
-	mov.l	.L93,r0
+	mov.l	.L83,r0
 	mov	#0,r4
 	jsr	@r0
 	mov	#0,r6
 	mov.l	@(4,r8),r1
-	mov	r14,r4
-	add	#8,r4
+	mov.l	r9,@(12,r15)
 	mov.l	@(4,r1),r5
-	mov.l	.L94,r1
-	jsr	@r1
-	add	#-52,r10
-	bra	.L70
-	mov.l	r13,@r14
-.L74:
+	tst	r5,r5
+	bt.s	.L26
+	mov	#0,r11
+	mov.l	.L94,r0
+	mov	r15,r4
+	add	#12,r4
+	jsr	@r0
+	mov	#1,r6
+	mov	#0,r11
+.L26:
 	mov.l	@r14,r1
-	mov.l	@r1+,r0
-	mov.l	r1,@r14
-	add	#2,r0
-	mov.l	@(8,r2),r1
+	mov.l	@(4,r1),r2
+	mov.l	@(12,r2),r1
+	add	#-2,r1
+	cmp/ge	r1,r11
+	bt.s	.L73
+	mov	r11,r0
 	shll2	r0
-	mov.l	.L95,r2
-	mov.l	@(r0,r1),r9
-	jsr	@r2
-	mov	r9,r4
+	mov.l	@(r0,r13),r1
+	mov.l	@(8,r2),r2
+	shll2	r1
+	add	r2,r1
+	mov.l	@(8,r1),r10
+	mov.l	.L85,r1
+	jsr	@r1
+	mov	r10,r4
 	tst	r0,r0
-	bt.s	.L71
-	tst	r11,r11
-	bf	.L72
-	mov.l	@(12,r9),r4
-	mov.l	@(8,r4),r1
-	cmp/eq	r9,r1
-	bf	.L72
-	mov.l	.L96,r1
+	bt.s	.L27
+	tst	r12,r12
+	bf	.L28
+	mov.l	@(12,r10),r9
+	mov.l	@(8,r9),r1
+	cmp/eq	r10,r1
+	bf	.L28
+	mov.l	.L86,r1
 	jsr	@r1
-	mov.l	r4,@(56,r10)
-	bra	.L114
-	mov.l	@(56,r10),r1
-.L72:
-	mov.l	.L97,r2
-	jsr	@r2
+	mov	r9,r4
+	bra	.L105
+	mov	#0,r1
+.L28:
+	mov.l	.L87,r0
+	jsr	@r0
 	nop
-	mov.l	@(4,r8),r1
-	mov	r8,r4
-	mov.l	r0,@(56,r10)
-	mov	r14,r5
-	mov.l	@(4,r1),r1
-	add	#4,r4
+	mov.l	@(4,r8),r4
+	mov	r0,r9
+	mov.l	@(4,r4),r1
+	mov.l	@r4,r2
+	cmp/eq	r1,r2
+	bf.s	.L30
 	mov.l	r1,@r0
-	mov.l	.L98,r1
+	mov.l	.L88,r0
+	mov	#1,r5
+	jsr	@r0
+	mov	#0,r6
+	tst	r0,r0
+	bf.s	.L72
+	mov	r0,r4
+	mov.l	.L89,r1
+	mov.l	@(4,r8),r4
 	jsr	@r1
-	add	#4,r5
-	mov.l	@(56,r10),r1
-	tst	r11,r11
-	bf.s	.L73
+	mov.l	r0,@(8,r15)
+	mov.l	@(8,r15),r0
+	mov.l	r0,@(4,r8)
+.L30:
+	tst	r12,r12
+	mov.l	@(4,r8),r1
+	mov.l	@(4,r1),r2
+	mov	r2,r3
+	add	#1,r3
+	shll2	r2
+	mov.l	r3,@(4,r1)
+	add	r2,r1
 	mov.l	r9,@(8,r1)
-	mov.l	.L99,r2
-	mov.l	@r2,r4
+	bf.s	.L29
+	mov.l	r10,@(8,r9)
+	mov.l	.L90,r1
+	mov.l	@r1,r4
 	tst	r4,r4
-	bt	.L73
-	mov.l	.L100,r2
-	mov.l	@r2,r0
-	and	#8,r0
-	tst	r0,r0
-	bt	.L73
-	mov.l	@r1,r6
-	mov.l	.L101,r1
-	mov.l	.L102,r5
-	jsr	@r1
-	mov.l	@(44,r9),r7
-.L73:
-	mov.l	@(56,r10),r1
-.L114:
-	mov	#0,r2
-	mov	r14,r4
-	mov.l	r2,@(12,r1)
-	mov	r14,r5
-	mov.l	.L103,r2
-	add	#8,r4
-	jsr	@r2
-	add	#4,r5
-.L71:
-	mov.l	@(12,r8),r1
-	add	#1,r12
+	bt.s	.L105
+	mov	#0,r1
+	mov.l	.L91,r1
+	mov.l	@r1,r0
+	tst	#8,r0
+	bt.s	.L105
+	mov	#0,r1
+	mov.l	.L92,r0
+	mov.l	.L93,r5
+	mov.l	@r9,r6
+	jsr	@r0
+	mov.l	@(44,r10),r7
+.L29:
+	mov	#0,r1
+.L105:
 	mov.l	r1,@(12,r9)
-.L70:
-	mov.l	.L104,r2
-	mov.l	@r2,r1
+	mov	r15,r4
+	mov.l	.L94,r1
+	add	#12,r4
+	mov	#1,r5
+	jsr	@r1
+	mov	#0,r6
+	mov.l	@(12,r15),r1
 	mov.l	@(4,r1),r2
-	mov.l	@(12,r2),r1
-	add	#-2,r1
-	cmp/ge	r1,r12
-	bf.s	.L74
+	mov	r2,r3
+	add	#1,r3
+	shll2	r2
+	mov.l	r3,@(4,r1)
+	add	r2,r1
+	mov.l	r9,@(8,r1)
+.L27:
+	add	#1,r11
+	mov.l	@(12,r8),r1
+	bra	.L26
+	mov.l	r1,@(12,r10)
+.L73:
+	mov.l	.L95,r12
+	mov.l	.L96,r14
+	jsr	@r12
 	mov	r13,r4
-	mov.l	.L105,r1
-	jsr	@r1
+	mov.l	.L97,r13
 	mov	#0,r10
-	bra	.L115
-	mov.l	@(8,r14),r1
-.L83:
-	mov	r10,r0
-	add	#2,r0
-	shll2	r0
-	mov.l	@(r0,r1),r9
-	mov	#0,r11
-	mov.l	.L106,r1
-	mov	r9,r5
-	mov.l	@(8,r9),r12
-	jsr	@r1
-	mov.l	@(12,r12),r4
-	mov.l	.L107,r2
+.L34:
+	mov.l	@(12,r15),r4
+	tst	r4,r4
+	bt	.L55
+	mov.l	@(4,r4),r1
+	cmp/hs	r1,r10
+	bt.s	.L74
+	mov	r10,r1
+	shll2	r1
+	add	r1,r4
+	mov.l	@(8,r4),r9
+	mov.l	@(8,r9),r11
 	mov	r9,r5
-	jsr	@r2
+	jsr	@r13
+	mov.l	@(12,r11),r4
 	mov.l	@(8,r9),r4
-	bra	.L76
-	mov.l	r0,@(28,r9)
-.L80:
-	mov.l	@(12,r9),r1
-	tst	r1,r1
-	bt.s	.L77
+	jsr	@r14
+	mov	r9,r5
+	mov.l	.L98,r7
 	mov	#0,r1
-	bra	.L78
-	mov.l	r1,@(12,r9)
-.L77:
-	mov.l	r13,@(12,r9)
-	add	#1,r11
-.L76:
-	mov.l	@r12,r1
-.L117:
-	tst	r1,r1
-	bt	.L84
-	mov.l	@(4,r1),r2
-	bra	.L116
-	cmp/eq	r2,r11
-.L84:
-	mov	#0,r2
-	cmp/eq	r2,r11
-.L116:
-	bt.s	.L78
-	mov	r11,r0
-	add	#2,r0
-	shll2	r0
-	mov.l	@(r0,r1),r1
+	mov.l	r0,@(28,r9)
+.L35:
+	mov.l	@r11,r2
+	tst	r2,r2
+	bt	.L47
+	mov.l	@(4,r2),r3
+	bra	.L106
+	cmp/eq	r3,r1
+.L47:
+	mov	#0,r3
+	cmp/eq	r3,r1
+.L106:
+	bt.s	.L37
+	mov	r1,r3
+	shll2	r3
+	add	r3,r2
+	mov.l	@(8,r2),r2
 	mov	r9,r4
-	mov.l	.L108,r2
-	mov.l	@r1,r13
-	jsr	@r2
-	mov	r13,r5
+	mov.l	@r2,r2
+	mov.l	r1,@(4,r15)
+	mov	r2,r5
+	mov.l	r2,@r15
+	jsr	@r7
+	mov.l	r7,@(8,r15)
 	tst	r0,r0
-	bf	.L80
-	add	#1,r11
-	bra	.L117
-	mov.l	@r12,r1
-.L78:
+	mov.l	@(4,r15),r1
+	mov.l	@r15,r2
+	bt.s	.L40
+	mov.l	@(8,r15),r7
+	mov.l	@(12,r9),r3
+	tst	r3,r3
+	bt	.L36
+	mov	#0,r1
+	bra	.L37
+	mov.l	r1,@(12,r9)
+.L36:
+	mov.l	r2,@(12,r9)
+.L40:
+	bra	.L35
+	add	#1,r1
+.L37:
+	bra	.L34
 	add	#1,r10
-	mov.l	@(8,r14),r1
-.L115:
-	tst	r1,r1
-	bt	.L82
-	mov.l	@(4,r1),r2
-	cmp/hs	r2,r10
-	bf	.L83
-.L82:
-	mov.l	.L109,r1
-	mov	r14,r4
-	jsr	@r1
+.L72:
+	mov.l	.L99,r0
+	shll2	r4
+	jsr	@r0
 	add	#8,r4
+	mov	r0,r1
+	add	#-8,r1
+	mov.l	@(4,r8),r4
+	shlr2	r1
+	mov	r1,r5
+	shll2	r5
+	tst	r4,r4
+	bt.s	.L46
+	add	#8,r5
+	bra	.L32
+	mov.l	@(4,r4),r2
+.L46:
+	mov	#0,r2
+.L32:
+	mov.l	.L100,r0
+	mov.l	r1,@(4,r15)
+	jsr	@r0
+	mov.l	r2,@r15
+	mov.l	@(4,r15),r1
+	mov.l	@r15,r2
+	mov.l	r0,@(4,r8)
+	mov.l	r1,@r0
+	bra	.L30
+	mov.l	r2,@(4,r0)
+.L74:
+	jsr	@r12
+	nop
+.L55:
 	mov	r8,r0
-.L113:
-	add	#12,r14
-	mov	r14,r15
+.L104:
+	add	#16,r15
+	.cfi_def_cfa_offset 32
 	lds.l	@r15+,pr
+	.cfi_restore 17
+	.cfi_def_cfa_offset 28
 	mov.l	@r15+,r14
+	.cfi_restore 14
+	.cfi_def_cfa_offset 24
 	mov.l	@r15+,r13
+	.cfi_restore 13
+	.cfi_def_cfa_offset 20
 	mov.l	@r15+,r12
+	.cfi_restore 12
+	.cfi_def_cfa_offset 16
 	mov.l	@r15+,r11
+	.cfi_restore 11
+	.cfi_def_cfa_offset 12
 	mov.l	@r15+,r10
+	.cfi_restore 10
+	.cfi_def_cfa_offset 8
 	mov.l	@r15+,r9
+	.cfi_restore 9
+	.cfi_def_cfa_offset 4
 	rts	
 	mov.l	@r15+,r8
-.L110:
+	.cfi_def_cfa_offset 0
+	.cfi_restore 8
+.L101:
 	.align 2
-.L85:
+.L75:
 	.long	_Z24calculate_dominance_info13cdi_direction
-.L86:
+.L76:
 	.long	_Z31ggc_internal_cleared_alloc_statj
-.L87:
+.L77:
 	.long	_Z20init_loops_structureP5loopsj
-.L88:
+.L78:
 	.long	_Z11fancy_abortPKciS0_
-.L89:
+.L79:
 	.long	.LC0
-.L90:
+.L80:
 	.long	_ZZ15flow_loops_findP5loopsE12__FUNCTION__
-.L104:
+.L81:
 	.long	cfun
-.L92:
+.L82:
 	.long	xmalloc
-.L93:
+.L83:
 	.long	_Z30pre_and_rev_post_order_computePiS_b
 .L94:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE6createEj
-.L95:
+	.long	_ZN3vecIP4loop7va_heap6vl_ptrE7reserveEjb
+.L85:
 	.long	_Z16bb_loop_header_pP15basic_block_def
-.L96:
+.L86:
 	.long	_Z26flow_loop_tree_node_removeP4loop
-.L97:
+.L87:
 	.long	_Z10alloc_loopv
-.L98:
-	.long	_Z13vec_safe_pushIP4loop5va_gcEPT_RP3vecIS3_T0_8vl_embedERKS3_
-.L99:
+.L88:
+	.long	_ZN10vec_prefix20calculate_allocationEPS_jb
+.L89:
+	.long	_Z8ggc_freePv
+.L90:
 	.long	dump_file
-.L100:
+.L91:
 	.long	dump_flags
-.L101:
+.L92:
 	.long	fprintf
-.L102:
+.L93:
 	.long	.LC1
-.L103:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE9safe_pushERKS1_
-.L105:
+.L95:
 	.long	free
-.L106:
-	.long	_Z23flow_loop_tree_node_addP4loopS0_
-.L107:
+.L96:
 	.long	_Z20flow_loop_nodes_findP15basic_block_defP4loop
-.L108:
+.L97:
+	.long	_Z23flow_loop_tree_node_addP4loopS0_
+.L98:
 	.long	_Z21flow_bb_inside_loop_pPK4loopPK15basic_block_def
-.L109:
-	.long	_ZN3vecIP4loop7va_heap6vl_ptrE7releaseEv
+.L99:
+	.long	_Z20ggc_round_alloc_sizej
+.L100:
+	.long	_Z16ggc_realloc_statPvj
 	.cfi_endproc
 .LFE898:
 	.size	_Z15flow_loops_findP5loops, .-_Z15flow_loops_findP5loops
@@ -891,4 +489,4 @@
 	.size	_ZZ15flow_loops_findP5loopsE12__FUNCTION__, 16
 _ZZ15flow_loops_findP5loopsE12__FUNCTION__:
 	.string	"flow_loops_find"
-	.ident	"GCC: (NetBSD nb1 20140527) 4.5.4"
+	.ident	"GCC: (NetBSD nb1 20140527) 4.8.4 20141009 (prerelease)"
